Package ghidra.app.util.bin.format.pe

# Interface Constants

public interface Constants
Constants used in the data structures of the PE.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `IMAGE_ARCHIVE_END`
  The archive end magic value.
  `static final String`
  `IMAGE_ARCHIVE_LINKER_MEMBER`
  The archive linker member.
  `static final String`
  `IMAGE_ARCHIVE_LONGNAMES_MEMBER`
  The archive long names member.
  `static final String`
  `IMAGE_ARCHIVE_PAD`
  The archive padding.
  `static final String`
  `IMAGE_ARCHIVE_START`
  The archive start magic value.
  `static final byte`
  `IMAGE_ARCHIVE_START_SIZE`
  The size of the archive start header.
  `static final short`
  `IMAGE_NT_OPTIONAL_HDR32_MAGIC`
  The 32-bit optional header magic number.
  `static final short`
  `IMAGE_NT_OPTIONAL_HDR64_MAGIC`
  The 64-bit optional header magic number.
  `static final int`
  `IMAGE_NT_SIGNATURE`
  The magic number for PE files..
  `static final long`
  `IMAGE_ORDINAL_FLAG32`
  A 32-bit flag.
  `static final long`
  `IMAGE_ORDINAL_FLAG64`
  A 64-bit flag.
  `static final int`
  `IMAGE_OS2_SIGNATURE`
  The magic number for OS/2 files.
  `static final int`
  `IMAGE_OS2_SIGNATURE_LE`
  The magic number for little endian OS/2 files.
  `static final short`
  `IMAGE_ROM_OPTIONAL_HDR_MAGIC`
  The ROM optional header magic number.
  `static final int`
  `IMAGE_SIZEOF_NT_OPTIONAL32_HEADER`
  The size of the 32-bit optional header, in bytes.
  `static final int`
  `IMAGE_SIZEOF_NT_OPTIONAL64_HEADER`
  The size of the 64-bit optional header, in bytes.
  `static final int`
  `IMAGE_SIZEOF_ROM_OPTIONAL_HEADER`
  The size of the ROM optional header.
  `static final int`
  `IMAGE_SIZEOF_STD_OPTIONAL_HEADER`
  The size of the standard optional header.
  `static final int`
  `IMAGE_VXD_SIGNATURE`
  The magic number for VXD files.

- ## Field Details

  - ### IMAGE_ORDINAL_FLAG64

    static final long IMAGE_ORDINAL_FLAG64
    A 64-bit flag.
    See Also:
      - Constant Field Values

  - ### IMAGE_ORDINAL_FLAG32

    static final long IMAGE_ORDINAL_FLAG32
    A 32-bit flag.
    See Also:
      - Constant Field Values

  - ### IMAGE_NT_SIGNATURE

    static final int IMAGE_NT_SIGNATURE
    The magic number for PE files..
    See Also:
      - Constant Field Values

  - ### IMAGE_OS2_SIGNATURE

    static final int IMAGE_OS2_SIGNATURE
    The magic number for OS/2 files.
    See Also:
      - Constant Field Values

  - ### IMAGE_OS2_SIGNATURE_LE

    static final int IMAGE_OS2_SIGNATURE_LE
    The magic number for little endian OS/2 files.
    See Also:
      - Constant Field Values

  - ### IMAGE_VXD_SIGNATURE

    static final int IMAGE_VXD_SIGNATURE
    The magic number for VXD files.
    See Also:
      - Constant Field Values

  - ### IMAGE_NT_OPTIONAL_HDR32_MAGIC

    static final short IMAGE_NT_OPTIONAL_HDR32_MAGIC
    The 32-bit optional header magic number.
    See Also:
      - Constant Field Values

  - ### IMAGE_NT_OPTIONAL_HDR64_MAGIC

    static final short IMAGE_NT_OPTIONAL_HDR64_MAGIC
    The 64-bit optional header magic number.
    See Also:
      - Constant Field Values

  - ### IMAGE_ROM_OPTIONAL_HDR_MAGIC

    static final short IMAGE_ROM_OPTIONAL_HDR_MAGIC
    The ROM optional header magic number.
    See Also:
      - Constant Field Values

  - ### IMAGE_SIZEOF_ROM_OPTIONAL_HEADER

    static final int IMAGE_SIZEOF_ROM_OPTIONAL_HEADER
    The size of the ROM optional header.
    See Also:
      - Constant Field Values

  - ### IMAGE_SIZEOF_STD_OPTIONAL_HEADER

    static final int IMAGE_SIZEOF_STD_OPTIONAL_HEADER
    The size of the standard optional header.
    See Also:
      - Constant Field Values

  - ### IMAGE_SIZEOF_NT_OPTIONAL32_HEADER

    static final int IMAGE_SIZEOF_NT_OPTIONAL32_HEADER
    The size of the 32-bit optional header, in bytes.
    See Also:
      - Constant Field Values

  - ### IMAGE_SIZEOF_NT_OPTIONAL64_HEADER

    static final int IMAGE_SIZEOF_NT_OPTIONAL64_HEADER
    The size of the 64-bit optional header, in bytes.
    See Also:
      - Constant Field Values

  - ### IMAGE_ARCHIVE_START_SIZE

    static final byte IMAGE_ARCHIVE_START_SIZE
    The size of the archive start header.
    See Also:
      - Constant Field Values

  - ### IMAGE_ARCHIVE_START

    static final String IMAGE_ARCHIVE_START
    The archive start magic value.
    See Also:
      - Constant Field Values

  - ### IMAGE_ARCHIVE_END

    static final String IMAGE_ARCHIVE_END
    The archive end magic value.
    See Also:
      - Constant Field Values

  - ### IMAGE_ARCHIVE_PAD

    static final String IMAGE_ARCHIVE_PAD
    The archive padding.
    See Also:
      - Constant Field Values

  - ### IMAGE_ARCHIVE_LINKER_MEMBER

    static final String IMAGE_ARCHIVE_LINKER_MEMBER
    The archive linker member.
    See Also:
      - Constant Field Values

  - ### IMAGE_ARCHIVE_LONGNAMES_MEMBER

    static final String IMAGE_ARCHIVE_LONGNAMES_MEMBER
    The archive long names member.
    See Also:
      - Constant Field Values